Bug 1291325 - COUNT_ALLOCS patches
Summary: COUNT_ALLOCS patches
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1287556
TreeView+ depends on / blocked
 
Reported: 2015-12-14 14:56 UTC by Robert Kuska
Modified: 2016-08-16 12:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 12:58:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Kuska 2015-12-14 14:56:26 UTC
COUNT_ALLOCS
------------

Each type object grows three new members:

    /* Number of times an object of this type was allocated. */
    int tp_allocs;

    /* Number of times an object of this type was deallocated. */
    int tp_frees;

    /* Highwater mark:  the maximum value of tp_allocs - tp_frees so
     * far; or, IOW, the largest number of objects of this type alive at
     * the same time.
     */
    int tp_maxalloc;



Following patches are part of enabling COUNT_ALLOCS at build time:

Adding option to enable COUNT_ALLOCS to configure as COUNT_ALLOCS is only documented feature, there is no flag to enable it in upstream:
 00113-more-configuration-flags.patch

Enabling verbose output of COUNT_ALLOCS only when env variable PYTHONDUMPCOUNTS is enabled:
 00125-less-verbose-COUNT_ALLOCS.patch

Skipping tests when COUNT_ALLOCS is enabled:
 00134-fix-COUNT_ALLOCS-failure-in-test_sys.patch
 00135-fix-test-within-test_weakref-in-debug-build.patch
 00141-fix-tests_with_COUNT_ALLOCS.patch

Upstream report for skipping tests when COUNT_ALLOCS is enabled:

http://bugs.python.org/issue19527


Reply from Dave Malcolm:
"""
My hazy recollection is that at the time I was dealing with lots of
memory leak issues in Python 2, so I was keen to add as much help as
possible in tracking them down to Python 2 and Python 3.

I don't think this patch ever really bought us much, and it sounds like
there are better tools for this now, so feel free to drop the
COUNT_ALLOC patches.
"""

Comment 2 Robert Kuska 2015-12-14 16:03:16 UTC
Also 05000-autotool-intermediates.patch was removed as it contained only changes needed for COUNT_ALLOCS.

http://pkgs.fedoraproject.org/cgit/python3.git/commit/?id=bbc4c0dbf76bd9bc0d3b89d795244a39dcde02d9

Comment 3 Fedora Admin XMLRPC Client 2016-01-29 13:07:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jan Kurik 2016-02-24 14:08:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.